Loading...

Knowledge Center


Supported platforms, environments, and operating systems for Host Intrusion Prevention 8.0
Technical Articles ID:   KB70725
Last Modified:  11/26/2016
Rated:


Environment

McAfee Host Intrusion Prevention (Host IPS) 8.0

Summary

Recent updates to this article
 
Date Update
November 25, 2016 Added that Host IPS 8.0 Patch 9 supports Oracle Enterprise Linux (OEL) 6.7
November 10, 2016 Added that Host IPS 8.0 Patch 8 supports Windows Server 2016
October 27, 2016 Updated the Windows - SQL servers with Host IPS 8.0 for Windows section with support details for SQL Server 2014
 
Product Release Information

WARNING:
Host IPS 8.0 Patch 7 and earlier are not compatible with Microsoft Windows 10 Anniversary Edition. Support for Windows 10 Anniversary Edition is included in Host IPS 8.0 Patch 8. Do not install Host IPS 8.0 Patch 7 or earlier on systems running Windows 10 Anniversary Edition. Likewise, do not upgrade systems running Host IPS 8.0 Patch 7 or earlier to Windows 10 Anniversary Edition.

{GENPA.EN_US}
 
Host IPS 8.0 for Windows
Build Number
Release Notes
Known Issues
8.0 Patch 8 8.0.0.3828 PD26623 KB87676
8.0 Hotfix 1153407 (for Patch 5, Patch 6, and Patch 7)

IMPORTANT: Hotfix 1153407 is a mandatory release for systems using Host IPS 8.0 Patch 5, Patch 6, and Patch 7.
P7 8.0.0.3800
P6 8.0.0.3500
P5 8.0.0.3250
PD26680 N/A
8.0 Patch 7 Hotfix 1121080 8.0.0.3730 PD26455 N/A
8.0 Patch 7 Hotfix 1116123 8.0.0.3642 PD26422 KB86154
8.0 Patch 7 8.0.0.3624 PD26390 KB86116
8.0 Patch 6 Hotfix 1059145 8.0.0.3409 PD26139 N/A
8.0 Patch 6 8.0.0.3363 PD25972 KB84853
8.0 Patch 5
8.0.0.3203
KB81392
8.0 Patch 4 Hotfix 952227
8.0.0.3122
N/A
8.0 Patch 4 Hotfix 981275
8.0.0.3082
N/A
8.0 Patch 4 Hotfix 913276
8.0.0.2970
N/A
8.0 Patch 4 Hotfix 923579
8.0.0.2964
N/A
8.0 Patch 4 Hotfix 917046
8.0.0.2935
N/A
8.0 Patch 4 Hotfix 927324 
8.0.0.2933
N/A
8.0 Patch 4
8.0.0.2919
KB78494
8.0 Patch 3 (Windows 8 and Windows Server 2012 only)
8.0.0.2589
KB75919
8.0 Patch 2 Hotfix 843301
8.0.0.2588
N/A
KB77809
8.0 Patch 2 Hotfix Rollup 803520
8.0.0.2482
N/A
8.0 Patch 2 Hotfix 791162
(For a security vulnerability fix, see SB10034.)
8.0.0.2239
N/A
8.0 Patch 2 Hotfix 771202
8.0.0.2198
N/A
8.0 Patch 2
8.0.0.2151
KB74505
8.0 Pre-Patch 2 Hotfix 833271 
(For information on an issue that occurs when upgrading to Patch 2, see KB76593.)
8.0.0.2481
KB77324 N/A
8.0 Patch 1 Hotfix 712198
8.0.0.1981
N/A
8.0 Patch 1 Hotfix 688393
8.0.0.1955
N/A
8.0 Patch 1 Hotfix 682442
8.0.0.1925
N/A
8.0 Patch 1
8.0.0.1919
KB72749
8.0 Hotfix 660568
8.0.0.1829
N/A
8.0 RTW
8.0.0.1741
KB69184
 
 
Host IPS 8.0 for Linux
Build Number
Release Notes
Known Issues
8.0 Patch 9
This release supports Oracle Enterprise Linux (OEL) 6.7
8.0.0.3881 PD26688 N/A
8.0 Patch 8 8.0.0.3758 PD26486 KB87068
8.0 Patch 7 8.0.0.3532 PD26207 KB85987
8.0 Patch 6 8.0.0.3369 PD26030 KB85128
8.0.0 Patch 5
8.0.0.3213
KB81392
8.0.0 Patch 4 Hotfix 966320 
This release supports Red Hat 6 operating systems only. Other Linux versions use HF982196.
8.0.0.3072
N/A
8.0.0 Patch 4 Hotfix 982196 
This HF does not support Red Hat 6. Use HF966320. 
8.0.0.3031
N/A
8.0.0 Patch 4 update for Red Hat 6.5 
 8.0.0.2989
KB82221
8.0.0 Patch 4
 8.0.0.2923
KB78494
8.0.0 Patch 2 and 3
 8.0.0.2151
KB74505
8.0.0 Patch 1
 8.0.0.1919
KB72749
8.0.0 (Red Hat 6)
 8.0.0.1776
KB69457
8.0.0 RTW
 8.0.0.1741
KB69184
 
Host IPS 8.0 for Solaris
Build Number
Release Notes
Known Issues
8.0 Patch 5 8.0.0.3213 PD25947 KB81392
8.0 Patch 4 8.0.0.2919 PD25043 KB78494
8.0 Patch 2 & 3 8.0.0.2535 PD24554 KB78527
8.0 RTW
8.0.0.1741
PD22892

 
ePolicy Orchestrator (ePO) 5.x Host IPS 8.0 Extension
Build Number
Release Notes
Known Issues
Host IPS 8.0 Extension for ePO 5.x, Patch 8 1 8.0.8.1082 (Patch 8) PD26623 KB87676
Host IPS 8.0 Extension for ePO 5.x, Patch 7 1
8.0.7.1001 (Patch 7)
PD26390
Host IPS 8.0 Extension for ePO 5.x, Patch 6 1 8.0.6.978 (Patch 6) PD25972 KB84853
Host IPS 8.0 Extension for ePO 5.x, Patch 5 8.0.5.924 (Patch 5) PD25947 KB81392
Host IPS 8.0 Extension for ePO 5.1, Hotfix 1036309 8.0.5.924 PD25775 KB81392
Host IPS 8.0 Extension for ePO, Hotfix 947357 (with Windows client HF917046)  8.0.4.860 PD25089 N/A
Host IPS 8.0 Extension for ePO 5.1 (509) and later
8.0.4.838
PD25043
Host IPS 8.0 Extension for Endpoint for Mac 2.0
8.0.3.762
PD24586
 
1 Host IPS 8.0 Extension 8.0.6.978 or later must be used with ePO 5.1.3/5.3.1 and later versions. For details, see PD25972. The Host IPS 8.0 Extension 8.0.6.978 can be installed on other supported ePO versions, but specifically for ePO 5.1.3/5.3.1, you must use the 8.0.6.978 extension. ePO 5.1.3/5.3.1 do not support any Host IPS extension versions prior to 8.0.6.978.
NOTE: To request support for operating systems not listed in this article, submit a Product Enhancement Request. {GENPER.EN_US}

Microsoft Windows - Supported WORKSTATION operating systems with Host IPS 8.0 for Windows
 
Operating System
Microsoft
Service Packs
Host IPS 8.0
Windows 10, Windows 10 Update 1 (TH2)  - Yes (Patch 6 and later)
Windows 8.1 August 2014 Update 2 Rollup  - Yes
Windows 8.1, Update 1 2
 - Yes
Windows 8.1 2
 - Yes
Windows 8.0 1
 - Yes
Windows 7 (32-bit)
Professional, Enterprise, and Ultimate Editions
1
Yes
Windows 7 (64-bit)
Professional, Enterprise, and Ultimate Editions
1
Yes
Windows Embedded Standard 7 (32-bit) 3
1
Yes (Patch 2 and later)
Windows Embedded Standard 7 (64-bit) 3
1
Yes (Patch 2 and later)
Windows Vista (32-bit)
Business, Enterprise, and Ultimate Editions
1, 2
Yes
Windows Vista (64-bit)
Business, Enterprise, and Ultimate Editions
1, 2
Yes

 
1 Added in Host IPS 8.0 Patch 3. For details, see KB75919.
2 Added in Host IPS 8.0 Patch 4. For details, see KB78494. Windows 8.1 and later require McAfee Agent 4.8 Patch 1 or later to be supported.
3 The Windows Embedded Enterprise family of products includes full versions of the following operating systems, licensed for embedded use:
  • Windows 7 Professional for Embedded Systems
  • Windows 7 Ultimate for Embedded Systems
  • Windows Vista Business for Embedded Systems
  • Windows Vista Ultimate for Embedded Systems
  • Windows XP Professional for Embedded Systems
{WINXP.EN_US}

Microsoft Windows - Supported SERVER operating systems with Host IPS 8.0 for Windows
 
Operating System
Microsoft
Service Packs
Host IPS 8.0
Windows Server 2016 - Yes (Patch 8 and later)
Windows Server 2012 R2, August 2014 Update 2 rollup 2 - Yes
Windows Server 2012 R2, Update 1 2 - Yes
Windows Server 2012 R2 2 - Yes
Windows Server 2012 1 - Yes
Windows Server 2008 R2 (64-bit)
1
Yes
Windows Server 2008 (32-bit)
1, 2
Yes
Windows Server 2008 (64-bit)
1, 2
Yes
 
1 Added in Host IPS 8.0 Patch 3. For details, see KB75919.
2 Added in Host IPS 8.0 Patch 4. For details, see KB78494.

NOTE: IIS, Apache, and SQL support is limited to server-type operating systems.

{WINSRV2003.EN_US}

Supported and verified virtualization platforms
The following virtualization platforms have been tested and verified with Host IPS 8.0:
 
Product Versions
Amazon Web Services 3 N/A
Citrix XenServer 5.0, 5.5
Citrix XenDesktop 3.0, 4.0, 7.5 2, 7.6 2
Citrix XenApp 5.0, 6.0, 6.5 1
Citrix Provisioning Services 6.1 1
Microsoft App-V 4.5, 4.6
Microsoft Hyper-V Server 2008, 2008 R2
Microsoft Windows Server 2008 Hyper-V 2008, 2008 R2, 2012 R2 1
Microsoft VDI (Bundle)  N/A
MED-V 1.0, 1.0 SP1
Oracle Virtualization 2, 3 N/A
SCVMM 2008, 2008 R2
SCCM 2007 SP2, 2007 R2
SCOM 2007, 2007 R2
VMware ACE 2.5, 2.6
VMware ESX 3.5, 4.0, 5.0 1
VMware ESXi 5.1
VMware Player 2.5, 3.0, 5.0 1
VMware Server 1.0, 2.0
VMware Thin App 4.0, 4.5
VMware Vsphere 4.0
VMware View 4 3.1, 4.0
VMware Workstation 6.5, 7.0, 8.0 1, 9.0 1
XP Mode Windows 7 32-bit and 64-bit

1 Denotes updated virtualization support for Host IPS 8.0 requires Patch 4. See KB78494 for known issues, and PD25043 for Release Notes.
2 Denotes updated virtualization support for Host IPS 8.0 requires Patch 5. See KB81392 for known issues, and PD25947 for Release Notes.
3 Denotes paravirtualization (PV) support in Amazon Web Services (AWS) or Oracle Virtualization environments for Host IPS 8.0 for Linux requires Patch 6. See KB85128 for known issues, and PD26030 for Release Notes. 
 Host IPS 8.0 for Linux or Host IPS 8.0 for Windows will be supported on virtualized platforms only if all of the following conditions are met:
  • The Virtual Machine (VM) runs a standard supported version of the operating system as listed in KB70778.
  • Amazon Web Services (AWS) and Oracle Virtualization environments use Hardware Virtual Machine (HVM).
If you encounter issues with a virtualization platform product version that is not on the list, do the following:
  1. Document the virtualization platform product version, hardware used (if applicable), and the issue you are experiencing.
  2. Submit a Product Enhancement Request (PER). See KB60021 for instructions.
  3. After receiving a notification email with the PER ID and status, contact Technical Support.

    {GENAA.EN_US}
     
    1. Inform the agent that you are requesting a Service Request (SR) for Host IPS 8.0.
    2. Inform the agent of the PER ID and reference KB60021. Both are required for the SR.
 
 

Virtual Private Network (VPN) client software compatibility with Host IPS 8.0
Host IPS 8.0 software adheres to the protocol standards.

Most VPN client software functions with the Host IPS 8.0 software; however, we are unable to test every VPN client software version and vendor. If you encounter specific issues with a VPN client, first determine whether the issue is a Host IPS 8.0 firewall policy or VPN Client configuration related. For additional information, see KB67055 - How to troubleshoot a network facing application, or traffic is blocked by Host Intrusion Prevention firewall.

If the issue cannot be resolved through policy or configuration for either the VPN product or Host IPS 8.0, do the following:
  1. Document the VPN and version, hardware used, and the issue you are experiencing.
  2. Contact Technical Support. {GENAA.EN_US}
  3. Inform the agent that you are requesting a Service Request (SR) for Host IPS 8.0 and VPN Client software.

    NOTE: You may be required to provide a copy of the VPN Client software, security token(s), and access to the VPN Access point.  

Windows - Supported web servers with Host IPS 8.0 for Windows
 
Host IPS 8.0 Patch 2 supports IIS 6, 7, and 7.5 only
Host IPS 8.0 Patch 3 supports IIS 8 only
Host IPS 8.0 Patches 4-8 support IIS 6, 7, 7.5, 8, and 8.5
 
 
Windows - SQL servers with Host IPS 8.0 for Windows
 
SQL 2005 RTM (2005.90.1399) 32-bit and 64-bit
SQL 2005 Hotfix 932557 (2005.90.1406) 32-bit and 64-bit
SQL 2005 SP1 (2005.90.2047) 32-bit and 64-bit
SQL 2005 SP2 (2005.90.3042) 32-bit and 64-bit
SQL 2005 SP3 (2005.90.4035) 32-bit and 64-bit
SQL 2005 SP4 (2005.90.5000) 32-bit and 64-bit
SQL 2005 SP4 CU1 (2005.90.5254) 32-bit and 64-bit
SQL 2005 SP4 CU2 (2005.90.5259) 32-bit and 64-bit
SQL 2005 SP4 CU3 (2005.90.5266) 32-bit and 64-bit
SQL 2008 RTM (2007.100.1600) 32-bit and 64-bit
SQL 2008 SP1 (2007.100.2531) 32-bit and 64-bit
SQL 2008 SP2 (2007.100.4000) 32-bit and 64-bit
SQL 2008 R2 RTM (2009.100.1600) 32-bit and 64-bit
SQL 2008 R2 MS11-049 (2009.100.1617) 32-bit and 64-bit
SQL 2008 R2 SP1 (2009.100.2500) 32-bit and 64-bit
SQL 2012 RTM (2011.110.1600) 32-bit and 64-bit
SQL 2012 CU1 (2011.110.2316) 32-bit and 64-bit
SQL 2012 SP1 (2011.110.3000) 32-bit and 64-bit
SQL 2012 CU1 SP1 (2011.110.3321) 32-bit and 64-bit
SQL 2014 RTM (2014.120.2000.8) 32-bit and 64-bit
SQL 2014 SP1 (2014.120.4100.1) 32-bit and 64-bit
 
 NOTE: For additional information on supported SQL Server versions, see KB65845.
 

Linux - Supported operating systems with Host IPS 8.0 for Linux 
 
SUSE Linux
Enterprise version

(64-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
12 SP1  Patch 8 8.0.0.3758
12  (HVM & PV)  Patch 7 2 8.0.0.3532
11 SP2, SP3, SP4 (HVM & PV) Patch 7 2 8.0.0.3532
11 SP1 
Patch 4, 5, and Patch 6 1
8.0.0.2919
11

RTW - Patch 3

8.0.0.1741
10 SP3 up to SP4 Patch 4 8.0.0.2919
10 up to SP2 RTW 8.0.0.1741
 
1 32-bit architecture is no longer supported on Host IPS 8.0 Patch 6 or later.
2 KB85990 - Host IPS 8.0 for Linux, Patch 7 verified 64-bit kernel versions.
 
 
Red Hat
Enterprise version

(64-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
7.0, 7.1, 7.2 (*HVM only) Patch 7 2 8.0.0.3532
6.8 Patch 8 1 8.0.0.3758
6.7 Patch 6 1 8.0.0.3369
6.6 Patch 5, Patch 6 1 8.0.0.3213
6.5
Hotfix 966320, Patch 5, and Patch 6 1
8.0.0.3072
6.3 to 6.4

Patch 4, 5, and Patch 6 1

8.0.0.2919
6.0 to 6.2

Patch 4, 5, and Patch 6 1

8.0.0.2919
5.8 to 5.11 Patch 4, Patch 5 8.0.0.2919
5.0 to 5.7 RTW - Patch 3 8.0.0.1741
4.0 to 4.9 RTW - Patch 3 8.0.0.1741
 
1 32-bit architecture is no longer supported on Host IPS 8.0 Patch 6 or later.
2 KB85990 - Host IPS 8.0 for Linux, Patch 7 verified 64-bit kernel versions.
 
Amazon Linux
(64-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
2015.09
Patch 8
8.0.0.3758
 
CentOS
(64-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
7.1, 7.2 Patch 9 8.0.0.3881
5.8 to 5.11,
6.0 to 6.7,
7.0
Patch 8
8.0.0.3758


 
SUSE Linux
Enterprise version

(32-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
11 SP1  
Patch 4, Patch 5
8.0.0.2919
11

RTW - Patch 3 

8.0.0.1741
10 SP3 up to SP4 Patch 4, Patch 5 8.0.0.2919
10 up to SP2 RTW - Patch 3 8.0.0.1741
 
Red Hat
Enterprise version

(32-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
6.6 Patch 5 8.0.0.3072
6.5  
Hotfix 966320, Patch 5
8.0.0.3072
6.3 to 6.4

Patch 4, Patch 5

8.0.0.2919
6.0 to 6.2 Patch 4, Patch 5 8.0.0.2919
5.8 to 5.11 Patch 4, Patch 5 8.0.0.2919
5.0 to 5.7 RTW - Patch 3 8.0.0.1741
4.0 to 4.9 RTW - Patch 3 8.0.0.1741

NOTE: Host IPS 8.0 for Linux supports 32-bit Linux kernels up to version 3.0.13-0.27 only.


Linux - Supported web servers with Host IPS 8.0 for Linux 
 
Apache 1.3.6 and later web server
Apache 2.0.42 and later web server
Apache 2.2.3 and later web server
Apache 2.4.2 and later web server
 


Sun Solaris - Supported operating systems with Host IPS 8.0 for Solaris 
 
Sun SPARC Solaris 9, sun4u (32-bit or 64-bit kernel)
Sun SPARC Solaris 10, sun4u and sun4v (64-bit kernel)


Sun Solaris - Supported web servers with Host IPS 8.0 for Solaris 
 
Apache 1.3.6 and later web server
Apache 2.0.42 and later web server
Apache 2.2.3 and later web server
Sun Java Web Server 6.1
Sun Java Web Server 7.0


ePO and McAfee Agent - Management (minimum Patch version) requirements 
 
ePO 5.0 (Host IPS 8.0 Patch 4 and later) 1
ePO 5.1.x (Host IPS 8.0 Patch 5 and later)
ePO 5.3.1 (Host IPS 8.0 Patch 6 and later)
McAfee Agent 4.8 (Host IPS 8.0 Patch 4 and later) 1
McAfee Agent 5.0 Windows only (Host IPS 8.0 Patch 4 and later) 2
McAfee Agent 5.0.1 (Host IPS 8.0 Patch 4 and later)
McAfee Agent 5.0.2 (Host IPS 8.0 Patch 4 and later)
 
1 See the Host IPS 8.0 Patch 4 Known Issues (KB78494).
2 See KB82869 for Linux and Solaris, not supported on McAfee Agent 5.0 by default.

KB51573 - Supported platforms, environments, and operating systems for McAfee Agent and Common Management Agent

Rate this document

Did this article resolve your issue?

Please provide any comments below

Beta Translate with

Select a desired language below to translate this page.

Glossary of Technical Terms


Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.